## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global sover 0
Name:           clips-protobuf
Version:        0.9.0
Release:        %autorelease
Summary:        Read and write protobuf messages from within CLIPS

License:        GPLv2+
URL:            https://github.com/fawkesrobotics/clips-protobuf
Source0:        https://github.com/fawkesrobotics/clips-protobuf/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  clipsmm-devel
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  protobuf-devel
BuildRequires:  protobuf_comm-devel
BuildRequires:  boost-devel
BuildRequires:  spdlog-devel
Requires:       %{_datadir}/clips

%description
Read and write protobuf messages from within CLIPS.

%package devel
Summary:    Development files for %{name}
Requires:   %{name}%{?_isa} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Development files for %{name}.


%prep
%autosetup


%build
%cmake
%cmake_build


%install
%cmake_install


%files
%license LICENSE.md
%{_libdir}/libclips_protobuf.so.%{sover}*
%{_datadir}/clips/protobuf.clp

%files devel
%{_libdir}/libclips_protobuf.so
%{_includedir}/clips_protobuf
%{_libdir}/cmake/ClipsProtobuf
%{_libdir}/pkgconfig/clips_protobuf.pc



%changelog
* Tue Jun 29 2021 Till Hofmann <hofmann@kbsg.rwth-aachen.de> - 0.9.0-1
- Initial package


